Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Release 2.1.0

  • Loading branch information...
commit 53731419c5789f31bb2138ab710367829d6704fc 1 parent 3a0b05f
@weppos weppos authored
View
2  CHANGELOG.rdoc
@@ -1,6 +1,6 @@
= Changelog
-== master
+== Release 2.1.0
* NEW: Element now accepts a Hash of options. The options can be useful to customize the appearance of the element, for example to set a link title or class.
View
10 Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- breadcrumbs_on_rails (2.0.0)
+ breadcrumbs_on_rails (2.1.0)
GEM
remote: http://rubygems.org/
@@ -37,11 +37,6 @@ GEM
builder (2.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
- haml (2.2.24)
- hanna (0.1.12)
- haml (~> 2.2.8)
- rake (~> 0.8.2)
- rdoc (~> 2.3.0)
i18n (0.5.0)
mail (2.2.19)
activesupport (>= 2.3.6)
@@ -70,7 +65,6 @@ GEM
rake (>= 0.8.7)
thor (~> 0.14.4)
rake (0.8.7)
- rdoc (2.3.0)
thor (0.14.6)
treetop (1.4.9)
polyglot (>= 0.3.1)
@@ -82,6 +76,6 @@ PLATFORMS
DEPENDENCIES
breadcrumbs_on_rails!
bundler
- hanna
mocha (~> 0.9.10)
rails (~> 3.0.0)
+ rake
View
27 breadcrumbs_on_rails.gemspec
@@ -1,39 +1,38 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{breadcrumbs_on_rails}
- s.version = "2.0.0"
+ s.name = "breadcrumbs_on_rails"
+ s.version = "2.1.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Simone Carletti"]
- s.date = %q{2011-04-30}
- s.description = %q{BreadcrumbsOnRails is a simple Ruby on Rails plugin for creating and managing a breadcrumb navigation for a Rails project.}
- s.email = %q{weppos@weppos.net}
- s.extra_rdoc_files = ["CHANGELOG.rdoc", "README.rdoc"]
- s.files = ["Rakefile", "LICENSE", "init.rb", "CHANGELOG.rdoc", "README.rdoc", "breadcrumbs_on_rails.gemspec", "lib/breadcrumbs_on_rails/breadcrumbs.rb", "lib/breadcrumbs_on_rails/controller_mixin.rb", "lib/breadcrumbs_on_rails/railtie.rb", "lib/breadcrumbs_on_rails/version.rb", "lib/breadcrumbs_on_rails.rb", "test/test_helper.rb", "test/unit/breadcrumbs_on_rails_test.rb", "test/unit/builder_test.rb", "test/unit/element_test.rb", "test/unit/simple_builder_test.rb"]
- s.homepage = %q{http://www.simonecarletti.com/code/breadcrumbs_on_rails}
- s.rdoc_options = ["--main", "README.rdoc"]
+ s.date = "2011-09-20"
+ s.description = "BreadcrumbsOnRails is a simple Ruby on Rails plugin for creating and managing a breadcrumb navigation for a Rails project."
+ s.email = "weppos@weppos.net"
+ s.files = [".gitignore", "CHANGELOG.rdoc", "Gemfile", "Gemfile.lock", "LICENSE", "README.rdoc", "Rakefile", "breadcrumbs_on_rails.gemspec", "init.rb", "lib/breadcrumbs_on_rails.rb", "lib/breadcrumbs_on_rails/breadcrumbs.rb", "lib/breadcrumbs_on_rails/controller_mixin.rb", "lib/breadcrumbs_on_rails/railtie.rb", "lib/breadcrumbs_on_rails/version.rb", "test/test_helper.rb", "test/unit/builder_test.rb", "test/unit/element_test.rb", "test/unit/simple_builder_test.rb"]
+ s.homepage = "http://www.simonecarletti.com/code/breadcrumbs_on_rails"
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.7.2}
- s.summary = %q{A simple Ruby on Rails plugin for creating and managing a breadcrumb navigation.}
+ s.rubygems_version = "1.8.10"
+ s.summary = "A simple Ruby on Rails plugin for creating and managing a breadcrumb navigation."
+ s.test_files = ["test/test_helper.rb", "test/unit/builder_test.rb", "test/unit/element_test.rb", "test/unit/simple_builder_test.rb"]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<rake>, [">= 0"])
s.add_development_dependency(%q<bundler>, [">= 0"])
- s.add_development_dependency(%q<hanna>, [">= 0"])
s.add_development_dependency(%q<rails>, ["~> 3.0.0"])
s.add_development_dependency(%q<mocha>, ["~> 0.9.10"])
else
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<bundler>, [">= 0"])
- s.add_dependency(%q<hanna>, [">= 0"])
s.add_dependency(%q<rails>, ["~> 3.0.0"])
s.add_dependency(%q<mocha>, ["~> 0.9.10"])
end
else
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<bundler>, [">= 0"])
- s.add_dependency(%q<hanna>, [">= 0"])
s.add_dependency(%q<rails>, ["~> 3.0.0"])
s.add_dependency(%q<mocha>, ["~> 0.9.10"])
end
View
2  lib/breadcrumbs_on_rails/version.rb
@@ -10,7 +10,7 @@ module BreadcrumbsOnRails
module Version
MAJOR = 2
- MINOR = 0
+ MINOR = 1
PATCH = 0
BUILD = nil
Please sign in to comment.
Something went wrong with that request. Please try again.